Package org.jboss.modules

# Interface ModuleSpec.AliasBuilder

Enclosing class:
  `ModuleSpec`

public static interface ModuleSpec.AliasBuilder
A builder for new alias module specifications.

## Method Summary

Modifier and Type
Method
Description
`ModuleSpec`
`create()`
Create the module specification from this builder.
`String`
`getAliasName()`
Get the name of the module being referenced by this builder.
`default ModuleIdentifier`
`getAliasTarget()`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getAliasName()` instead.
`default ModuleIdentifier`
`getIdentifier()`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getName()` instead.
`String`
`getName()`
Get the name of the module being defined by this builder.

## Method Details

### create

ModuleSpec create()
Create the module specification from this builder.

Returns:
  the module specification

### getIdentifier

@Deprecated(forRemoval=true) default ModuleIdentifier getIdentifier()
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getName()` instead.
Get the identifier of the module being defined by this builder.

Returns:
  the module identifier

### getName

String getName()
Get the name of the module being defined by this builder.

Returns:
  the module name

### getAliasTarget

@Deprecated(forRemoval=true) default ModuleIdentifier getAliasTarget()
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getAliasName()` instead.
Get the identifier of the module being referenced by this builder.

Returns:
  the module identifier

### getAliasName

String getAliasName()
Get the name of the module being referenced by this builder.

Returns:
  the module name